<?xml version="1.0" encoding="utf-8" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
xmlns:f="http://java.sun.com/jsf/core"
xmlns:h="http://java.sun.com/jsf/html">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Gestion des étudiants</title>
<link type="text/css" rel="stylesheet" href="styles.css"/> 
</head>
<h:body> 
 
<h:form>
    <h:outputText value="Email" />
    <h:inputText id="email" value="#{user.email}" required="true"
                 validatorMessage="email is required">
      <f:validateLength minimum="6" />
    </h:inputText>
    <h:message for="email" />

    <br/>

    <h:outputText value="Password" />
    <h:inputText id="password" value="#{user.password}" required="true"
                 validatorMessage="password is required">
        <f:validateLength minimum="6" />
    </h:inputText>
    <h:message for="password" />

    <br/>

    <h:outputText value="gender" />
    <h:inputText id="gender" value="#{user.gender}" required="true"
                 validatorMessage="gender is required">
        <f:validateLength minimum="6" />
    </h:inputText>
    <h:message for="gender" />

    <h:commandButton value="regiser" action="home" />
</h:form>
 </h:body> 
</html>